## octave-iso2mesh 1.9.6%2Bds

=== debian/changelog ===
octave-iso2mesh (1.9.6+ds-7) unstable; urgency=medium

  * Team upload

  * d/rules: Honor environment variables CPPFLAGs, CXXFLAGS, and LDFLAGS
  * d/copyright:
    + Refer to common license file for Apache-2.0
    + Update copyright year for the debian/* files
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Nov 2021 17:10:06 -0300

octave-iso2mesh (1.9.6+ds-6) unstable; urgency=medium

  * Team upload

  [ Qianqian Fang ]
  * move tetgen dependency from octave-iso2mesh to iso2mesh-tools
    (closes: #985524)
  * move matlab-iso2mesh to contrib/science (closes: #984923)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 18 Aug 2021 10:02:51 -0300

octave-iso2mesh (1.9.6+ds-5) unstable; urgency=medium

  * Team upload

  * d/control: Do not restrict architectures for octave-iso2mesh
    binary package (Closes: #980794)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Feb 2021 03:53:07 -0300

octave-iso2mesh (1.9.6+ds-4) unstable; urgency=medium

  * Team upload

  * d/control: Restrict the list of architectures for iso2mesh-tools.
    This is necessary because the package does not build on build
    daemons with limited amount of disk space. Another workround must
    be found after the release of bullseye.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jan 2021 08:25:41 -0300

octave-iso2mesh (1.9.6+ds-3) unstable; urgency=medium

  * Team upload

  * Source-only upload, needed for migration into testing.  No changes.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 06 Jan 2021 05:32:22 -0300

octave-iso2mesh (1.9.6+ds-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.1 (no changes needed)
    + Add stanza for the matlab-iso2mesh binary package

 -- Rafael Laboissière <rafael@debian.org>  Thu, 31 Dec 2020 13:33:16 -0300

octave-iso2mesh (1.9.6+ds-1) unstable; urgency=medium

  * Team upload

  [ Qianqian Fang ]
  * New upstream version 1.9.6+ds

  [ Rafael Laboissière ]
  * d/copyright: Remove duplicate globbing pattern

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 14:34:56 -0300

octave-iso2mesh (1.9.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #962608)

 -- Qianqian Fang <fangqq@gmail.com>  Thu, 13 Aug 2020 17:59:20 -0300
