=== meshfix/contrib/OpenNL3.2.1/examples/mmtx/CMakeLists.txt ===


IF(USE_SUPERLU)
    LINK_DIRECTORIES(${SUPERLU_HOME}/lib/)
ENDIF(USE_SUPERLU)

ADD_EXECUTABLE(mmtx mmtx mmio) 
ADD_DEPENDENCIES(mmtx nl)
TARGET_LINK_LIBRARIES(mmtx nl)

IF(USE_ATLAS)
    TARGET_LINK_LIBRARIES(mmtx blas)
ENDIF(USE_ATLAS)
IF(USE_SUPERLU)
    TARGET_LINK_LIBRARIES(mmtx ${SUPERLU_NAME} blas)
ENDIF(USE_SUPERLU)
