=== debian/changelog ===
octave-iso2mesh (1.9.6+ds-10build1) oracular; urgency=medium

  * No-change rebuild to work around archive unhappiness

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2024 17:53:55 +0000

octave-iso2mesh (1.9.6+ds-10) unstable; urgency=medium

  * Team upload

  * d/p/implicit-function-declaration.patch: New patch (Closes: #1066594)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Mar 2024 06:02:28 -0300

octave-iso2mesh (1.9.6+ds-9) unstable; urgency=medium

  * Team upload

  * Proper installation of *.m files in the octave-iso2mesh package
    + d/not-installed: Drop file
    + d/octave-iso2mesh.install: New file
    This fixes, effectively, Bug#1013584.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Mar 2024 06:00:06 -0300

octave-iso2mesh (1.9.6+ds-8) unstable; urgency=medium

  * Team upload

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright:
    + Update Source URL
    + d/copyright: Update list of copyright years for debian/* files
  * d/not-installed: New file.
    This avoids FTBFS triggered by dh_missing.
    Thanks to Yue Gui <yuemeng.gui@gmail.com> for the patch (Closes: #1013584)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 15:04:03 -0300
