=== debian/control ===
Source: octave-iso2mesh
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Qianqian Fang <fangqq@gmail.com>
Section: science
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-octave,
               libcgal-dev,
               libsuperlu-dev,
               zlib1g-dev
Homepage: https://iso2mesh.sf.net
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-iso2mesh.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-iso2mesh
Rules-Requires-Root: no


Package: octave-iso2mesh
Architecture: all
Depends: octave-zmat, octave-jsonlab, octave-jnifti, iso2mesh-tools, ${octave:Depends}, ${misc:Depends}
Description: 3D surface and volumetric mesh generator for Octave
 Iso2Mesh is a MATLAB/Octave-based mesh generation toolbox,
 designed for easy creation of high quality surface and
 tetrahedral meshes from 3D volumetric images. It contains
 a rich set of mesh processing scripts/programs, working
 either independently or interacting with external free
 meshing utilities. Iso2Mesh toolbox can directly convert
 a 3D image stack, including binary, segmented or gray-scale
 images such as MRI or CT scans, into quality volumetric
 meshes. This makes it particularly suitable for multi-modality
 medical imaging data analysis and multi-physics modeling.
 Iso2Mesh is cross-platform and is compatible with both MATLAB
 and GNU Octave.
 .
 This package contains the Octave support for iso2mesh.


Package: matlab-iso2mesh
Section: contrib/science
Architecture: all
Depends: matlab-zmat, matlab-jsonlab, matlab-jnifti, iso2mesh-tools, tetgen, ${misc:Depends}
Description: 3D surface and volumetric mesh generator for MATLAB
 Iso2Mesh is a MATLAB/Octave-based mesh generation toolbox,
 designed for easy creation of high quality surface and
 tetrahedral meshes from 3D volumetric images. It contains
 a rich set of mesh processing scripts/programs, working
 either independently or interacting with external free
 meshing utilities. Iso2Mesh toolbox can directly convert
 a 3D image stack, including binary, segmented or gray-scale
 images such as MRI or CT scans, into quality volumetric
 meshes. This makes it particularly suitable for multi-modality
 medical imaging data analysis and multi-physics modeling.
 Iso2Mesh is cross-platform and is compatible with both MATLAB
 and GNU Octave.
 .
 This package contains the MATLAB support for iso2mesh.


Package: iso2mesh-tools
Architecture: any
Depends: tetgen, ${shlibs:Depends}, ${misc:Depends}
Description: 3D mesh generation and repairing utilities
 This package contains 3D mesh generation and repairing tools
 that can be used independently and invoked inside iso2mesh.
 .
 These tools include cgalmesh (3D mesh generation from volumetric
 images), `cgalpoly` (3D mesh generation from polyhedral surfaces),
 `cgalsimp2` (triangular surface simplification), `meshfix` (3D
 surface cleaning and repairing), and `jmeshlib` (3D surface cleaning).


Package: iso2mesh-demos
Architecture: all
Depends: octave-iso2mesh, ${misc:Depends}
Description: sample files and demo scripts for Iso2Mesh toolbox
 This package contains sample meshing script and data files for
 testing and showcasing Iso2Mesh functions. The main functions
 demonstrated in this package include surface-based mesh generation
 via s2m/surf2mesh, volume-based mesh generation via v2m/vol2mesh,
 mesh smoothing (sms), boolean operations (surfboolean), downsampling
 (meshsample) and remeshing (remeshsurf).
