=== tools/Makefile ===
ROOTDIR=.
SUBDIRS=cgalmesh cgalsimp2 cgalsurf cork meshfix meshfix/contrib/JMeshLib/test tetgen

include $(ROOTDIR)/commons/Makefile_common.mk
