=== tools/cgalsurf/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,6 @@
 
 if ( CGAL_FOUND AND CGAL_ImageIO_FOUND )
 
-  include( ${CGAL_USE_FILE} )
-
   include( CGAL_CreateSingleSourceCGALProgram )
 
   create_single_source_cgal_program( "mesh_a_3d_gray_image.cpp" )
@@ -26,8 +24,8 @@
   if(RUNNING_CGAL_AUTO_TEST)
     # Just to avoid a warning from CMake if that variable is set on the command line...
   endif()
-  
+
   message(STATUS "NOTICE: This program requires the CGAL and CGAL ImageIO libraries, and will not be compiled.")
-  
+
 endif()
