=== meshfix/contrib/JMeshLib/test/Makefile ===
CFLAGS = -Wall -I../include
LIBS = -L../ -ljmesh

test: test.o
	g++ -o jmeshlib test.o $(LIBS)


#-------------------------------------------------------------------------
# Dependancies
#-------------------------------------------------------------------------

test.o:			test.cpp
	$(CC) $(CFLAGS) -c $<

#-------------------------------------------------------------------------

clean :
	$(RM) -f *.o jmeshlib
