=== meshfix/contrib/OpenNL3.2.1/examples/CMakeLists.txt ===

#Choose here what exemples you want to compile

ADD_SUBDIRECTORY(lscm_NL)
ADD_SUBDIRECTORY(mmtx)
