=== meshfix/contrib/OpenNL3.2.1/examples/lscm_NL/CMakeLists.txt ===


IF(USE_SUPERLU)
    LINK_DIRECTORIES(${SUPERLU_HOME}/lib/)
ENDIF(USE_SUPERLU)

ADD_EXECUTABLE(parameterize lscm_with_c_api ) 
ADD_DEPENDENCIES(parameterize nl)
TARGET_LINK_LIBRARIES(parameterize nl)

IF(USE_ATLAS)
    TARGET_LINK_LIBRARIES(parameterize blas)
ENDIF(USE_ATLAS)
IF(USE_SUPERLU)
    TARGET_LINK_LIBRARIES(parameterize ${SUPERLU_NAME} blas)
ENDIF(USE_SUPERLU)
