=== debian/changelog ===
octave-iso2mesh (1.9.8+ds-2) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * superlu7.patch: new patch, fixes FTBFS against SuperLU 7 (Closes: #1104839)

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Jun 2025 15:35:10 +0200

octave-iso2mesh (1.9.8+ds-1) unstable; urgency=medium

  * Team upload

  * New upstream version 1.9.8+ds
    This version does not FTBFS against CGAL 6.0 (Closes: #1074380)
  * d/watch:
    + Adapt for the new upstream naming scheme
    + Drop the useless stanza for the meshfix component
    + Drop useless filenamemangle option
  * d/p/implicit-function-declaration.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/rules:
    + Remove some extraneous *.m files
    + Remove empty doc directory

 -- Rafael Laboissière <rafael@debian.org>  Thu, 24 Oct 2024 14:47:16 -0300
