=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: octave-iso2mesh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Qianqian Fang <fangqq@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-octave,
