=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,9 @@
 	lzipencode.m lzmadecode.m lzmaencode.m match_bracket.m nestbracket2dim.m nifticreate.m \
 	nii2jnii.m jnii2nii.m niicodemap.m niiformat.m readnifti.m savebnii.m savejnifti.m savejnii.m \
 	savemsgpack.m savenifti.m saveubjson.m zlibdecode.m zlibencode.m jsave.m jload.m savebj.m \
-	loadbj.m savejson.m isoctavemesh.m mergestruct.m jsonopt.m encodevarname.m decodevarname.m
+	loadbj.m savejson.m isoctavemesh.m mergestruct.m jsonopt.m encodevarname.m decodevarname.m \
+	jdatahash.m jdict.m jsoncache.m jsonpath.m jsonset.m json2couch.m filterjsonmmap.m \
+	blosc2encode.m blosc2decode.m zstdencode.m zstddecode.m	octavezmat.m
 
 FLAGS = $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
 override_dh_auto_build:
@@ -43,3 +45,13 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+execute_after_dh_installdeb:
+	@doc_dir=$(shell find debian/octave-iso2mesh -name doc -a -empty) ;	\
+	if [ -n "$$doc_dir" ] ; then						\
+	    rmdir $$doc_dir ;							\
+	else									\
+	    echo "****************************************************" ;	\
+	    echo "Please, remove the doc dir removal hack from d/rules" ;	\
+	    echo "****************************************************" ;	\
+	fi
