=== debian/watch ===
version=4

opts="compression=gz, oversionmangle=s/(.*)/$1+ds/, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
      https://github.com/fangq/iso2mesh/tags .*/v(.*)\+meshfix\.tar\.gz \
      debian debian/repack
